com.strongloop.android.remoting.adapters

## Class Adapter.JsonCallback

- java.lang.Object
- - com.strongloop.android.remoting.adapters.Adapter.JsonCallback

All Implemented Interfaces:
  Adapter.Callback

Direct Known Subclasses:
  Adapter.JsonArrayCallback, Adapter.JsonObjectCallback

Enclosing class:
  Adapter

    public abstract static class Adapter.JsonCallback
    extends java.lang.Object
    implements Adapter.Callback

A callback that parses a JSON response. If the return value is not valid JSON, then the `Adapter.Callback.onError(Throwable)` method is called.

### Constructor Summary

Constructors
Constructor and Description
`Adapter.JsonCallback()`

### Method Summary

Methods
`abstract void` `onSuccess(java.lang.Object response)` The method invoked when the call completes successfully.
`void` `onSuccess(java.lang.String response)` The method invoked when the call completes successfully.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.strongloop.android.remoting.adapters.Adapter.Callback

`onError`

### Constructor Detail

#### Adapter.JsonCallback

    public Adapter.JsonCallback()

### Method Detail

#### onSuccess

    public abstract void onSuccess(java.lang.Object response)

The method invoked when the call completes successfully. The response is a `org.json.JSONObject`, `org.json.JSONArray`, String, Number, Boolean, or `org.json.JSONObject#NULL`.

Parameters:
  `response` - The JSON object.

#### onSuccess

    public void onSuccess(java.lang.String response)

Description copied from interface: `Adapter.Callback`
The method invoked when the call completes successfully.

Specified by:
  `onSuccess` in interface `Adapter.Callback`
Parameters:
  `response` - The HTTP response body.